Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class MessageDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.MessageDO

    public class MessageDO

extends AbstractDataObject

Data object representing a SOAP message in WSO2 WSAS

Constructor Summary
`MessageDO()` Constructs a new MessageDO.
`MessageDO(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationName)`
`MessageDO(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationName, int type, long correlationId, java.lang.String xml)`

Method Summary
`OperationDO` | `getOperationDO()` Getter for property 'operationDO'.
`java.lang.String` | `getOperationName()` Getter for property 'operationName'.
`long` | `getSequence()` Getter for property 'sequence'.
`java.lang.String` | `getServiceId()` Getter for property 'serviceId'.
`java.lang.String` | `getServiceVersion()` Getter for property 'serviceVersion'.
`int` | `getType()` Getter for property 'type'.
`java.lang.String` | `getXml()` Getter for property 'xml'.
`void` | `setOperationDO(OperationDO operationDO)` Setter for property 'operationDO'.
`void` | `setOperationName(java.lang.String operationName)` Setter for property 'operationName'.
`void` | `setSequence(long sequence)` Setter for property 'sequence'.
`void` | `setServiceId(java.lang.String serviceId)` Setter for property 'serviceId'.
`void` | `setServiceVersion(java.lang.String serviceVersion)` Setter for property 'serviceVersion'.
`void` | `setType(int type)` Setter for property 'type'.
`void` | `setXml(java.lang.String xml)` Setter for property 'xml'.

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDO

    public MessageDO()

  Constructs a new MessageDO.

### MessageDO

    public MessageDO(java.lang.String serviceId,
                     java.lang.String serviceVersion,
                     java.lang.String operationName)

### MessageDO

    public MessageDO(java.lang.String serviceId,
                     java.lang.String serviceVersion,
                     java.lang.String operationName,
                     int type,
                     long correlationId,
                     java.lang.String xml)

Method Detail

### getOperationName

    public java.lang.String getOperationName()

  Getter for property 'operationName'.

  Returns:
    Value for property 'operationName'.
  See Also:
    `setOperationName(java.lang.String)`

### setOperationName

    public void setOperationName(java.lang.String operationName)

  Setter for property 'operationName'.

  Parameters:
    `operationName` - Value to set for property 'operationName'.
  See Also:
    `getOperationName()`

### getServiceId

    public java.lang.String getServiceId()

  Getter for property 'serviceId'.

  Returns:
    Value for property 'serviceId'.
  See Also:
    `setServiceId(java.lang.String)`

### setServiceId

    public void setServiceId(java.lang.String serviceId)

  Setter for property 'serviceId'.

  Parameters:
    `serviceId` - Value to set for property 'serviceId'.
  See Also:
    `getServiceId()`

### getServiceVersion

    public java.lang.String getServiceVersion()

  Getter for property 'serviceVersion'.

  Returns:
    Value for property 'serviceVersion'.
  See Also:
    `setServiceVersion(java.lang.String)`

### setServiceVersion

    public void setServiceVersion(java.lang.String serviceVersion)

  Setter for property 'serviceVersion'.

  Parameters:
    `serviceVersion` - Value to set for property 'serviceVersion'.
  See Also:
    `getServiceVersion()`

### getOperationDO

    public OperationDO getOperationDO()

  Getter for property 'operationDO'.

  Returns:
    Value for property 'operationDO'.
  See Also:
    `setOperationDO(org.wso2.wsas.persistence.dataobject.OperationDO)`

### setOperationDO

    public void setOperationDO(OperationDO operationDO)

  Setter for property 'operationDO'.

  Parameters:
    `operationDO` - Value to set for property 'operationDO'.
  See Also:
    `getOperationDO()`

### getSequence

    public long getSequence()

  Getter for property 'sequence'.

  Returns:
    Value for property 'sequence'.
  See Also:
    `setSequence(long)`

### setSequence

    public void setSequence(long sequence)

  Setter for property 'sequence'.

  Parameters:
    `sequence` - Value to set for property 'sequence'.
  See Also:
    `getSequence()`

### getType

    public int getType()

  Getter for property 'type'.

  Returns:
    Value for property 'type'.
  See Also:
    `setType(int)`

### setType

    public void setType(int type)

  Setter for property 'type'.

  Parameters:
    `type` - Value to set for property 'type'.
  See Also:
    `getType()`

### getXml

    public java.lang.String getXml()

  Getter for property 'xml'.

  Returns:
    Value for property 'xml'.
  See Also:
    `setXml(java.lang.String)`

### setXml

    public void setXml(java.lang.String xml)

  Setter for property 'xml'.

  Parameters:
    `xml` - Value to set for property 'xml'.
  See Also:
    `getXml()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD